at.chipkarte.client.bkf.soap

## Class ScreeningDoku

- Object
- - at.chipkarte.client.bkf.soap.ScreeningDoku

-     public class ScreeningDoku
      extends Object

  Enthält die Ergebnisdaten der Screening-Dokumentation, zum Aufruf der Funktion createScreeningDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScreeningDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCREndergebnis` | `getEndergebnis()` Dokumentation des Endergebnisses `SCREndergebnis`.
    `Long` | `getKonsultationsID()` Eindeutiger Bezeichner einer Konsultation.
    `String` | `getLeistungsdatum()` Datum der Leistung.
    `SCRMammographieErstbefunder` | `getMamErstbefunder()` Mammographiedokumentation des Erstbefunders `SCRMammographieErstbefunder`.
    `SCRMammographieZweitbefunder` | `getMamZweitbefunder()` Mammographiedokumentation des Zweitbefunders `SCRMammographieZweitbefunder`.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `Long` | `getTokenID()` Eindeutiger Bezeichner eines BKF-Tokens (BKF-Leistungsanspruchs).
    `SCRUltraschall` | `getUltraschall()` Ultraschalldokumentation `SCRUltraschall`.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `void` | `setEndergebnis(SCREndergebnis endergebnis)`
    `void` | `setKonsultationsID(Long konsultationsID)`
    `void` | `setLeistungsdatum(String leistungsdatum)`
    `void` | `setMamErstbefunder(SCRMammographieErstbefunder mamErstbefunder)`
    `void` | `setMamZweitbefunder(SCRMammographieZweitbefunder mamZweitbefunder)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTokenID(Long tokenID)`
    `void` | `setUltraschall(SCRUltraschall ultraschall)`
    `void` | `setVersionsnummer(String versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScreeningDoku

          public ScreeningDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createScreeningDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getTokenID

          public Long getTokenID()

      Eindeutiger Bezeichner eines BKF-Tokens (BKF-Leistungsanspruchs).
      Angabe: Muss.
      Mittels der Funktion `IBkfService.checkBkfToken(String, String, String, Long, String, String)` können die relevanten BKF-Token der Patientin abgefragt werden.
      ParameterID: 9008.
      Returns:
        TokenID

    - #### setTokenID

          public void setTokenID(Long tokenID)

    - #### getKonsultationsID

          public Long getKonsultationsID()

      Eindeutiger Bezeichner einer Konsultation.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Mittels der Funktion `IBkfService.searchBkfKonsultationData(String, String, String, String)` können die relevanten Konsultation der Patientin zum Benutzer (Behandlungsdatum, Behandlungsfall-Code) abgefragt werden.
      Format: maximal 19-stellig
      ParameterID: 9004.
      Returns:
        KonsultationsID

    - #### setKonsultationsID

          public void setKonsultationsID(Long konsultationsID)

    - #### getLeistungsdatum

          public String getLeistungsdatum()

      Datum der Leistung.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Darf nicht in der Zukunft liegen.
      Bei Angabe einer Konsultation wird automatisch das Behandlungsdatum der Konsultation als Leistungsdatum verwendet.
      Format: TT.MM.JJJJ
      ParameterID: 9006.
      Returns:
        Leistungsdatum

    - #### setLeistungsdatum

          public void setLeistungsdatum(String leistungsdatum)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getMamErstbefunder

          public SCRMammographieErstbefunder getMamErstbefunder()

      Mammographiedokumentation des Erstbefunders `SCRMammographieErstbefunder`.
      Angabe: Muss.
      ParameterID: 0110.
      Returns:
        MamErstbefunder

    - #### setMamErstbefunder

          public void setMamErstbefunder(SCRMammographieErstbefunder mamErstbefunder)

    - #### getMamZweitbefunder

          public SCRMammographieZweitbefunder getMamZweitbefunder()

      Mammographiedokumentation des Zweitbefunders `SCRMammographieZweitbefunder`.
      Angabe: Muss.
      ParameterID: 0150.
      Returns:
        MamZweitbefunder

    - #### setMamZweitbefunder

          public void setMamZweitbefunder(SCRMammographieZweitbefunder mamZweitbefunder)

    - #### getUltraschall

          public SCRUltraschall getUltraschall()

      Ultraschalldokumentation `SCRUltraschall`.
      Angabe: Kann.
      ParameterID: 0130.
      Returns:
        Ultraschall

    - #### setUltraschall

          public void setUltraschall(SCRUltraschall ultraschall)

    - #### getEndergebnis

          public SCREndergebnis getEndergebnis()

      Dokumentation des Endergebnisses `SCREndergebnis`.
      Angabe: Muss.
      ParameterID: 0170.
      Returns:
        Endergebnis

    - #### setEndergebnis

          public void setEndergebnis(SCREndergebnis endergebnis)